# -*- encoding:utf-8 -*-

# 経理システム (仮)
# Copyright (C) 2007 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/


require 'validating_base'

# 取引先の検索ボックス
class PartnerSearchBox < ValidatingBase
  attr_accessor :text
  
  def find_by_text
    return nil if @text.to_s.strip == ''
    t = '%' + norm(@text.strip).upcase + '%' # PostgreSQL only TODO:fixme
    Partner.find :all,
           :conditions => ['upper(name) LIKE ? OR kana_name LIKE ? OR upper(remarks) LIKE ?', t, t, t],
           :limit => 31
  end
end

