# -*- encoding:utf-8 -*-

# 経理システム (仮)
# Copyright (C) 2007 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/


# 添付ファイルをアップロードする。
module UploadModule
  # エントリを削除する
  def destroy_attach
    prev = params[:prev]
    AttachFile.transaction {
      file = AttachFile.find(params[:id])
      AttachFileRef.delete_all ['attach_file_id = ?', file.id]
      file.destroy
    }
    flash[:notice] = "添付ファイルを削除しました。"
    redirect_to :action => 'show', :id => prev
  end
end
