-- 勘定科目
CREATE TABLE account_titles (
  id              serial PRIMARY KEY,
  account_code    int NOT NULL,
  suppl_code      int NOT NULL,
  main_name       VARCHAR(40) NOT NULL, -- 主コードの名前。ad hocなやり方。
  name            VARCHAR(40) NOT NULL,
  kana_name       VARCHAR(40) NOT NULL,
  end_day         DATE,           -- これがNULL以外で使用不可。
  purchase_active int NOT NULL,   -- 0以外で追加可能
  vat_code        int NOT NULL,   -- 消費税コード（初期値）
  UNIQUE (account_code, suppl_code)
);
