
-- 顧客に対する請求書の明細
CREATE TABLE si_details (
  id               serial PRIMARY KEY,
  sales_invoice_id int NOT NULL REFERENCES sales_invoices (id),
  line_no          int NOT NULL,

  account_title_id int NOT NULL REFERENCES account_titles (id),
  division_id      int NOT NULL REFERENCES divisions (id),
  unit_price       int NOT NULL,  -- 単価
  qty              int NOT NULL,  -- 数量
  unit             VARCHAR(10) NOT NULL, -- 単位。とりあえず文字列で。
  vat_code         int NOT NULL,   -- 10=税込5%, 20=税抜き5%, 30=非課税
  remarks          VARCHAR(200) NOT NULL,
  UNIQUE (sales_invoice_id, line_no)
);
